Available in Classic
Set the termination protection status of a NAS volume instance.
Requests
The following describes the request format for the endpoint. The request format is as follows.
| Method | URI |
|---|---|
| GET | POST | /server/v2/setNasVolumeReturnProtection |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all NAS APIs, see NAS request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
nasVolumeInstanceNo |
String | Required | Number of the NAS volume instance for which you want to set termination protection |
isReturnProtection |
Boolean | Required | Set termination protection
|
Request example
The following is a sample request.
curl --location --request GET 'https://ncloud.apigw.ntruss.com/server/v2/setNasVolumeReturnProtection
?nasVolumeInstanceNo=23420000
&isReturnProtection=true' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Responses
The following describes the response format.
Response body
See NasVolumeInstanceList for the response body.
Response status codes
For information about the HTTP status codes common to all NAS APIs, see NAS response status codes.
Response example
The following is a sample response.
{
"setNasVolumeReturnProtectionResponse": {
"totalRows": 1,
"nasVolumeInstanceList": [
{
"nasVolumeInstanceNo": "23420000",
"nasVolumeInstanceStatus": {
"code": "CREAT",
"codeName": "NAS create"
},
"nasVolumeInstanceOperation": {
"code": "NULL",
"codeName": "NAS NULL OP"
},
"nasVolumeInstanceStatusName": "created",
"createDate": "2024-04-04T14:42:56+0900",
"nasVolumeDescription": "",
"mountInformation": "10.250.00.00:/n2768364_volume01",
"volumeAllotmentProtocolType": {
"code": "NFS",
"codeName": "NFS"
},
"volumeName": "n2768364_volume01",
"volumeTotalSize": 536870912000,
"volumeSize": 536870912000,
"snapshotVolumeConfigurationRatio": 0.0,
"snapshotVolumeSize": 0,
"isSnapshotConfiguration": false,
"isEventConfiguration": false,
"region": {
"regionNo": "1",
"regionCode": "KR",
"regionName": "Korea"
},
"zone": {
"zoneNo": "3",
"zoneName": "KR-2",
"zoneCode": "KR-2",
"zoneDescription": "Pyeongchon zone",
"regionNo": "1"
},
"isReturnProtection": true,
"nasVolumeInstanceCustomIpList": [],
"nasVolumeServerInstanceList": [
{
"serverInstanceNo": "23500000",
"serverName": "s18ebb8dc985",
"serverDescription": "",
"cpuCount": 2,
"memorySize": 4294967296,
"baseBlockStorageSize": 53687091200,
"platformType": {
"code": "LNX64",
"codeName": "Linux 64 Bit"
},
"loginKeyName": "a123",
"isFeeChargingMonitoring": false,
"publicIp": "",
"privateIp": "10.41.000.000",
"serverImageName": "centos-7.3-64",
"serverInstanceStatus": {
"code": "RUN",
"codeName": "Server run state"
},
"serverInstanceOperation": {
"code": "NULL",
"codeName": "Server NULL OP"
},
"serverInstanceStatusName": "running",
"createDate": "2024-04-08T11:33:37+0900",
"uptime": "2024-04-08T11:38:25+0900",
"serverImageProductCode": "SPSW0LINUX000046",
"serverProductCode": "SPSVRSSD00000003",
"isProtectServerTermination": false,
"portForwardingPublicIp": "106.10.00.00",
"zone": {
"zoneNo": "3",
"zoneName": "KR-2",
"zoneCode": "KR-2",
"zoneDescription": "Pyeongchon zone",
"regionNo": "1"
},
"region": {
"regionNo": "1",
"regionCode": "KR",
"regionName": "Korea"
},
"baseBlockStorageDiskType": {
"code": "NET",
"codeName": "Network Storage"
},
"baseBlockStorageDiskDetailType": {
"code": "SSD",
"codeName": "SSD"
},
"serverInstanceType": {
"code": "STAND",
"codeName": "Standard"
},
"userData": "",
"initScriptNo": "",
"accessControlGroupList": [
{
"accessControlGroupConfigurationNo": "572000",
"accessControlGroupName": "ncloud-default-acg",
"accessControlGroupDescription": "Default AccessControlGroup",
"isDefault": true,
"createDate": "2021-12-13T10:55:06+0900"
}
],
"instanceTagList": []
}
]
}
],
"requestId": "",
"returnCode": "0",
"returnMessage": "success"
}
}